Plugins API documentation: Class AuditViolation

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.modules.qa.api
Class AuditViolation

    java.lang.Object
      |
      +--com.togethersoft.modules.qa.api.AuditViolation

public class AuditViolation
extends java.lang.Object

Holds information about violation of audit plugin rules. It is used internally by audit system to represent violation in the result table, set position in the corresponding diagram and source code.

Field Summary
`java.lang.String` | `abbreviation`
`java.lang.String` | `explanation`
`java.lang.String` | `fileName`
`static int` | `INT_SEVERITY_HIGH`
`static int` | `INT_SEVERITY_LOW`
`static int` | `INT_SEVERITY_NORMAL`
`com.togethersoft.openapi.sci.SciObject` | `item`
`java.lang.String` | `itemName`
`int` | `lineNum`
`com.togethersoft.openapi.sci.SciObject` | `node`
`java.lang.String` | `nodeQName`
`AuditPlugin` | `plugin`
`int` | `posEnd`
`int` | `posStart`
`private java.lang.String` | `relFileName`
`java.lang.String` | `severity`

Constructor Summary
`AuditViolation()`

Method Summary
`int` | `getIntSeverity()`
`java.lang.String` | `getRelFileName()`
`private java.lang.String` | `makeRelFileName()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### plugin

    public AuditPlugin plugin

### severity

    public java.lang.String severity

### abbreviation

    public java.lang.String abbreviation

### explanation

    public java.lang.String explanation

### node

    public com.togethersoft.openapi.sci.SciObject node

### nodeQName

    public java.lang.String nodeQName

### item

    public com.togethersoft.openapi.sci.SciObject item

### itemName

    public java.lang.String itemName

### fileName

    public java.lang.String fileName

### relFileName

    private java.lang.String relFileName

### posStart

    public int posStart

### posEnd

    public int posEnd

### lineNum

    public int lineNum

### INT_SEVERITY_LOW

    public static final int INT_SEVERITY_LOW

### INT_SEVERITY_NORMAL

    public static final int INT_SEVERITY_NORMAL

### INT_SEVERITY_HIGH

    public static final int INT_SEVERITY_HIGH

Constructor Detail

### AuditViolation

    public AuditViolation()

Method Detail

### getRelFileName

    public java.lang.String getRelFileName()

### makeRelFileName

    private java.lang.String makeRelFileName()

### getIntSeverity

    public int getIntSeverity()

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD